<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Wed Feb 23 15:53:21 PST 2005 -->
<TITLE>
: Class Hierarchy
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<CENTER>
<H2>
Hierarchy For All Packages</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies: </B><DD><A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/package-tree.html">org.eclipse.wst.rdb.internal.models.dbdefinition</A>, <A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/impl/package-tree.html">org.eclipse.wst.rdb.internal.models.dbdefinition.impl</A>, <A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/util/package-tree.html">org.eclipse.wst.rdb.internal.models.dbdefinition.util</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">class java.lang.Object<UL>
<LI TYPE="circle">class org.eclipse.emf.common.util.AbstractEnumerator (implements org.eclipse.emf.common.util.Enumerator)
<UL>
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/CheckOption.html"><B>CheckOption</B></A><LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/DefaultValueType.html"><B>DefaultValueType</B></A><LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html"><B>LanguageType</B></A><LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html"><B>ParameterStyle</B></A><LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/ParentDeleteDRIRuleType.html"><B>ParentDeleteDRIRuleType</B></A><LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html"><B>ParentUpdateDRIRuleType</B></A><LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/PercentFreeTerminology.html"><B>PercentFreeTerminology</B></A><LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/ProcedureType.html"><B>ProcedureType</B></A><LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/TableSpaceType.html"><B>TableSpaceType</B></A></UL>
<LI TYPE="circle">class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl (implements org.eclipse.emf.common.notify.AdapterFactory)
<UL>
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.util.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/util/DatabaseDefinitionAdapterFactory.html"><B>DatabaseDefinitionAdapterFactory</B></A></UL>
<LI TYPE="circle">class org.eclipse.emf.common.notify.impl.BasicNotifierImpl (implements org.eclipse.emf.common.notify.Notifier)
<UL>
<LI TYPE="circle">class org.eclipse.emf.ecore.impl.BasicEObjectImpl (implements org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject)
<UL>
<LI TYPE="circle">class org.eclipse.emf.ecore.impl.EObjectImpl (implements org.eclipse.emf.ecore.EObject)
<UL>
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.impl.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ColumnDefinitionImpl.html"><B>ColumnDefinitionImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/ColumnDefinition.html">ColumnDefinition</A>)
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.impl.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html"><B>ConstraintDefinitionImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A>)
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.impl.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/impl/DatabaseVendorDefinitionImpl.html"><B>DatabaseVendorDefinitionImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseVendorDefinition.html">DatabaseVendorDefinition</A>)
<LI TYPE="circle">class org.eclipse.emf.ecore.impl.EModelElementImpl (implements org.eclipse.emf.ecore.EModelElement)
<UL>
<LI TYPE="circle">class org.eclipse.emf.ecore.impl.EFactoryImpl (implements org.eclipse.emf.ecore.EFactory)
<UL>
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.impl.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/impl/DatabaseDefinitionFactoryImpl.html"><B>DatabaseDefinitionFactoryImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html">DatabaseDefinitionFactory</A>)
</UL>
<LI TYPE="circle">class org.eclipse.emf.ecore.impl.ENamedElementImpl (implements org.eclipse.emf.ecore.ENamedElement)
<UL>
<LI TYPE="circle">class org.eclipse.emf.ecore.impl.EPackageImpl (implements org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, org.eclipse.emf.ecore.EPackage)
<UL>
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.impl.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/impl/DatabaseDefinitionPackageImpl.html"><B>DatabaseDefinitionPackageImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>)
</UL>
</UL>
</UL>
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.impl.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ExtendedDefinitionImpl.html"><B>ExtendedDefinitionImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/ExtendedDefinition.html">ExtendedDefinition</A>)
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.impl.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/impl/IndexDefinitionImpl.html"><B>IndexDefinitionImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/IndexDefinition.html">IndexDefinition</A>)
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.impl.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/impl/PredefinedDataTypeDefinitionImpl.html"><B>PredefinedDataTypeDefinitionImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/PredefinedDataTypeDefinition.html">PredefinedDataTypeDefinition</A>)
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.impl.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/impl/QueryDefinitionImpl.html"><B>QueryDefinitionImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html">QueryDefinition</A>)
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.impl.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html"><B>SequenceDefinitionImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A>)
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.impl.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SQLSyntaxDefinitionImpl.html"><B>SQLSyntaxDefinitionImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/SQLSyntaxDefinition.html">SQLSyntaxDefinition</A>)
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.impl.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html"><B>StoredProcedureDefinitionImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A>)
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.impl.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/impl/TableDefinitionImpl.html"><B>TableDefinitionImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/TableDefinition.html">TableDefinition</A>)
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.impl.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/impl/TableSpaceDefinitionImpl.html"><B>TableSpaceDefinitionImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/TableSpaceDefinition.html">TableSpaceDefinition</A>)
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.impl.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/impl/TriggerDefinitionImpl.html"><B>TriggerDefinitionImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/TriggerDefinition.html">TriggerDefinition</A>)
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.impl.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/impl/UserDefinedTypeDefinitionImpl.html"><B>UserDefinedTypeDefinitionImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/UserDefinedTypeDefinition.html">UserDefinedTypeDefinition</A>)
</UL>
</UL>
</UL>
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.dbdefinition.util.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/util/DatabaseDefinitionSwitch.html"><B>DatabaseDefinitionSwitch</B></A></UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">interface org.eclipse.emf.common.notify.Notifier<UL>
<LI TYPE="circle">interface org.eclipse.emf.ecore.EObject<UL>
<LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/ColumnDefinition.html"><B>ColumnDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html"><B>ConstraintDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseVendorDefinition.html"><B>DatabaseVendorDefinition</B></A><LI TYPE="circle">interface org.eclipse.emf.ecore.EModelElement<UL>
<LI TYPE="circle">interface org.eclipse.emf.ecore.EFactory<UL>
<LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html"><B>DatabaseDefinitionFactory</B></A></UL>
<LI TYPE="circle">interface org.eclipse.emf.ecore.ENamedElement<UL>
<LI TYPE="circle">interface org.eclipse.emf.ecore.EPackage<UL>
<LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html"><B>DatabaseDefinitionPackage</B></A></UL>
</UL>
</UL>
<LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/ExtendedDefinition.html"><B>ExtendedDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/IndexDefinition.html"><B>IndexDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/PredefinedDataTypeDefinition.html"><B>PredefinedDataTypeDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html"><B>QueryDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html"><B>SequenceDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/SQLSyntaxDefinition.html"><B>SQLSyntaxDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html"><B>StoredProcedureDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/TableDefinition.html"><B>TableDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/TableSpaceDefinition.html"><B>TableSpaceDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/TriggerDefinition.html"><B>TriggerDefinition</B></A><LI TYPE="circle">interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="org/eclipse/wst/rdb/internal/models/dbdefinition/UserDefinedTypeDefinition.html"><B>UserDefinedTypeDefinition</B></A></UL>
</UL>
</UL>
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
